## AgsClearAudioSignal

AgsClearAudioSignal — clear audio signal object

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsClearAudioSignal * | ags_clear_audio_signal_new ()

## Properties

AgsAudioSignal * | audio-signal | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsClearAudioSignal

## Includes

    #include <ags/audio/task/ags_clear_audio_signal.h>

## Description

The AgsClearAudioSignal task clears AgsAudioSignal.

## Functions

### ags_clear_audio_signal_new ()

    AgsClearAudioSignal *
    ags_clear_audio_signal_new (AgsAudioSignal *audio_signal);

Create a new instance of AgsClearAudioSignal.

#### Parameters

audio_signal | the AgsAudioSignal to clear |

#### Returns

the new AgsClearAudioSignal.

Since: 3.0.0

## Property Details

### The `“audio-signal”` property

      “audio-signal”             AgsAudioSignal *

The assigned AgsAudioSignal

Owner: AgsClearAudioSignal

Flags: Read / Write

Since: 3.0.0